
From: "David S. Miller" <davem@davemloft.net>

I have no idea how a bug like this lasted so long.  Anyways, obvious
memset()'ing of incorrect pointer.

Signed-off-by: David S. Miller <davem@davemloft.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/compat.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN kernel/compat.c~fix-get_compat_sigevent kernel/compat.c
--- 25/kernel/compat.c~fix-get_compat_sigevent	2005-04-06 01:17:20.000000000 -0700
+++ 25-akpm/kernel/compat.c	2005-04-06 01:17:20.000000000 -0700
@@ -640,7 +640,7 @@ long compat_sys_clock_nanosleep(clockid_
 int get_compat_sigevent(struct sigevent *event,
 		const struct compat_sigevent __user *u_event)
 {
-	memset(&event, 0, sizeof(*event));
+	memset(event, 0, sizeof(*event));
 	return (!access_ok(VERIFY_READ, u_event, sizeof(*u_event)) ||
 		__get_user(event->sigev_value.sival_int,
 			&u_event->sigev_value.sival_int) ||
_
